package com.sun.org.apache.xerces.internal.dom;

import java.util.ArrayList;
import java.util.List;
import org.w3c.dom.DOMStringList;

public class DOMStringListImpl implements DOMStringList
{
    private final List<String> fStrings;
    
    public DOMStringListImpl() {
        this.fStrings = new ArrayList();
    }
    
    public DOMStringListImpl(List<String> params) {
        this.fStrings = params;
    }
    
    @Override
    public String item(int index) {
        int length = this.getLength();
        if (index >= 0 && index < length) {
            return (String)this.fStrings.get(index);
        }
        return null;
    }
    
    @Override
    public int getLength() {
        return this.fStrings.size();
    }
    
    @Override
    public boolean contains(String param) {
        return this.fStrings.contains(param);
    }
    
    public void add(String param) {
        this.fStrings.add(param);
    }
}
